package com.goafanti.permission.bo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.goafanti.common.model.Permission;
import com.goafanti.common.model.Role;

public class RoleBo extends Role {
	private static final long	serialVersionUID	= 1L;

	List<Permission>			permissions			= new ArrayList<>();
	
	/**
     * 创建人
     */
    private String creater;
    /**
     * 创建时间
     */
    private Date createTime;
    
    private String roleName;

    private Integer roleType;
    
    private String id;
    
    private String createTimez;

	public String getCreateTimez() {
		return createTimez;
	}

	public void setCreateTimez(String createTimez) {
		this.createTimez = createTimez;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCreater() {
		return creater;
	}

	public void setCreater(String creater) {
		this.creater = creater;
	}

	

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public List<Permission> getPermissions() {
		return permissions;
	}

	public void setPermissions(List<Permission> permissions) {
		this.permissions = permissions;
	}

}
